Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230287 - doesn't work with current kernel timer code
Summary: doesn't work with current kernel timer code
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: systemtap
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Frank Ch. Eigler
QA Contact: Radek Bíba
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-27 23:11 UTC by Bill Nottingham
Modified: 2014-03-17 03:05 UTC (History)
1 user (show)

Fixed In Version: 0.5.13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-29 17:33:00 UTC


Attachments (Terms of Use)
potential patch (deleted)
2007-02-27 23:11 UTC, Bill Nottingham
no flags Details | Diff

Description Bill Nottingham 2007-02-27 23:11:30 UTC
Description of problem:

/tmp/stapjHIRks/stap_8b0c9e0f8c5d801a787b8a7d0eaabe50_765.c: In function
'systemtap_module_init':
/tmp/stapjHIRks/stap_8b0c9e0f8c5d801a787b8a7d0eaabe50_765.c:838: error:
'HRTIMER_REL' undeclared (first use in this function)
/tmp/stapjHIRks/stap_8b0c9e0f8c5d801a787b8a7d0eaabe50_765.c:838: error: (Each
undeclared identifier is reported only once
/tmp/stapjHIRks/stap_8b0c9e0f8c5d801a787b8a7d0eaabe50_765.c:838: error: for each
function it appears in.)

Version-Release number of selected component (if applicable):

systemtap-0.5.10-1.fc7
(also occurs with 0.5.12)

How reproducible:

Every time.

Comment 1 Bill Nottingham 2007-02-27 23:11:31 UTC
Created attachment 148890 [details]
potential patch

Comment 2 Frank Ch. Eigler 2007-03-29 17:33:00 UTC
This is fixed upstream and in the 0.5.13 refresh for fc6/fc7.


Note You need to log in before you can comment on or make changes to this bug.